#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    uint32_t uint32_eq_const_0_0;
    uint64_t uint64_eq_const_1_0;
    uint64_t uint64_eq_const_2_0;
    uint16_t uint16_eq_const_3_0;
    uint16_t uint16_eq_const_4_0;
    uint64_t uint64_eq_const_5_0;
    uint32_t uint32_eq_const_6_0;
    uint16_t uint16_eq_const_7_0;

    if (size < 38)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&uint32_eq_const_0_0, &data[i], 4);
    i += 4;
    memcpy(&uint64_eq_const_1_0, &data[i], 8);
    i += 8;
    memcpy(&uint64_eq_const_2_0, &data[i], 8);
    i += 8;
    memcpy(&uint16_eq_const_3_0, &data[i], 2);
    i += 2;
    memcpy(&uint16_eq_const_4_0, &data[i], 2);
    i += 2;
    memcpy(&uint64_eq_const_5_0, &data[i], 8);
    i += 8;
    memcpy(&uint32_eq_const_6_0, &data[i], 4);
    i += 4;
    memcpy(&uint16_eq_const_7_0, &data[i], 2);
    i += 2;


    if (uint32_eq_const_0_0 == 3493830943)
    if (uint64_eq_const_1_0 == 18179371857166684653u)
    if (uint64_eq_const_2_0 == 9381615239266336340u)
    if (uint16_eq_const_3_0 == 62180)
    if (uint16_eq_const_4_0 == 17499)
    if (uint64_eq_const_5_0 == 11873821800459255820u)
    if (uint32_eq_const_6_0 == 4057533408)
    if (uint16_eq_const_7_0 == 38657)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
